#pragma once
#include "SimulationSARToolAPI.h"
#include "QToolAbstract.h"
#include <QDialog>

namespace Ui {
	class QSimulationSARPolynomialOrbitModelClass;
}


class SIMULATIONSARTOOLAPI_EXPORT QSimulationPolynomialSAROrbitModel : public QDialog
{
	Q_OBJECT

public:
	QSimulationPolynomialSAROrbitModel(QWidget *parent = nullptr);
	~QSimulationPolynomialSAROrbitModel();

public slots:
	void onpushButtongpxmlClicked(bool);
	void onpushButtonOrbitModelClicked(bool);
	void onbtnaccepted();
	void onbtnrejected();
private:
	Ui::QSimulationSARPolynomialOrbitModelClass* ui;
 
};
